## GgitTreeEntry GgitTreeEntry |

## Functions

GgitTreeEntry * | ggit_tree_entry_ref ()
void | ggit_tree_entry_unref ()
GgitFileMode | ggit_tree_entry_get_file_mode ()
GgitOId * | ggit_tree_entry_get_id ()
const gchar * | ggit_tree_entry_get_name ()
GType | ggit_tree_entry_get_object_type ()

## Types and Values

| GgitTreeEntry
enum | GgitFileMode

## Object Hierarchy

        GBoxed
        ╰── GgitTreeEntry
        GEnum
        ╰── GgitFileMode

## Description

## Functions

### ggit_tree_entry_ref ()

    GgitTreeEntry *
    ggit_tree_entry_ref (GgitTreeEntry *entry);

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Parameters

entry | a GgitTreeEntry. |

#### Returns

a GgitTreeEntry.

[transfer none]

### ggit_tree_entry_unref ()

    void
    ggit_tree_entry_unref (GgitTreeEntry *entry);

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.

#### Parameters

entry | a GgitTreeEntry. |

### ggit_tree_entry_get_file_mode ()

    GgitFileMode
    ggit_tree_entry_get_file_mode (GgitTreeEntry *entry);

Gets the GgitFileMode of a tree entry.

#### Parameters

entry | a GgitTreeEntry. |

#### Returns

the GgitFileMode of a tree entry.

### ggit_tree_entry_get_id ()

    GgitOId *
    ggit_tree_entry_get_id (GgitTreeEntry *entry);

Get the GgitOId of the entry.

#### Parameters

entry | a GgitTreeEntry. |

#### Returns

a GgitOId.

[transfer full]

### ggit_tree_entry_get_name ()

    const gchar *
    ggit_tree_entry_get_name (GgitTreeEntry *entry);

Get the name of the tree entry.

#### Parameters

entry | a GgitTreeEntry. |

#### Returns

the name of the tree entry.

### ggit_tree_entry_get_object_type ()

    GType
    ggit_tree_entry_get_object_type (GgitTreeEntry *entry);

Get the type of the tree entry object.

#### Parameters

entry | a GgitTreeEntry. |

#### Returns

a GType.

## Types and Values

### GgitTreeEntry

    typedef struct _GgitTreeEntry GgitTreeEntry;

Represents an entry in a tree.

### enum GgitFileMode

#### Members

GGIT_FILE_MODE_UNREADABLE |  |
GGIT_FILE_MODE_TREE |  |
GGIT_FILE_MODE_BLOB |  |
GGIT_FILE_MODE_BLOB_EXECUTABLE |  |
GGIT_FILE_MODE_LINK |  |
GGIT_FILE_MODE_COMMIT |  |